Subject: Re: bug#4291: 23.1; doc-view-mode temporary directory vulnerable to denial of service

From: Glenn Morris <[email-masked]>
Date: Tue, 12 Jul 2011 17:44:53 -0400

Lars Magne Ingebrigtsen wrote:

> Stefan Monnier <[email-masked]> writes:
>
>> IIRC /tmp/docview$uid is predictable because doc-view tries to reuse
>> previouly-rendered pages.  I'm not convinced this is really a good
>> feature, but obviously the author thought it was important, so I'd
>> rather not drop it without a discussion.
>
> It could just stash the directory name in a variable, and use the normal
> `make-temp-file' to create the directory, couldn't it?

I think the idea referred to above is to potentially re-use pages
converted by a previous Emacs instance (which seems like a bad feature
to me too).